## crash 7.1.4

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # LDFLAGS will be configured automatically by configure
 LDFLAGS=
 
-GENERIC_HFILES=defs.h xen_hyper_defs.h
+GENERIC_HFILES=defs.h xen_hyper_defs.h xen_dom0.h
 MCORE_HFILES=va_server.h vas_crash.h
 REDHAT_HFILES=netdump.h diskdump.h makedumpfile.h xendump.h kvmdump.h qemu-load.h
 LKCD_DUMP_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h \
@@ -70,7 +70,8 @@
 	unwind_x86_32_64.c unwind_arm.c \
 	xen_hyper.c xen_hyper_command.c xen_hyper_global_data.c \
 	xen_hyper_dump_tables.c kvmdump.c qemu.c qemu-load.c sadump.c ipcs.c \
-	ramdump.c vmware_vmss.c
+	ramdump.c vmware_vmss.c \
+	xen_dom0.c
 
 SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
 	${REDHAT_CFILES} ${REDHAT_HFILES} ${UNWIND_HFILES} \
@@ -88,7 +89,8 @@
 	unwind_x86_32_64.o unwind_arm.o \
 	xen_hyper.o xen_hyper_command.o xen_hyper_global_data.o \
 	xen_hyper_dump_tables.o kvmdump.o qemu.o qemu-load.o sadump.o ipcs.o \
-	ramdump.o vmware_vmss.o
+	ramdump.o vmware_vmss.o \
+	xen_dom0.o
 
 MEMORY_DRIVER_FILES=memory_driver/Makefile memory_driver/crash.c memory_driver/README
 
@@ -296,5 +298,3 @@
 
 install:
 	/usr/bin/install ${PROGRAM} ${INSTALLDIR}
-#	/usr/bin/install ${PROGRAM}d ${INSTALLDIR}
-
