## crash 7.1.8

=== debian/changelog ===
crash (7.1.8-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1672361).  Remaining changes:
    - Build for armhf, ppc64el.
    - Minor fixes for live autopkgtest.

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 17 Mar 2017 14:03:05 +0100

crash (7.1.8-1) unstable; urgency=medium

  * New upstream 7.1.8  (Closes: #851882)

  * Accepted patch from Chris J Arges <chris.j.arges@canonical.com> to fix
    autopkgtest failures (Closes: #788239)

  * Builds with gcc 7 (Closes: #853357)

  * Fix for Linux 4.6 commit b03a017bebc403d40aa53a092e79b3020786537d, which
    introduced the new slab management type OBJFREELIST_SLAB.  In this mode,
    the freelist can be an object, and if the slab is full, there is no
    freelist.  On the next free, an object is recycled to be used as the
    freelist but not cleaned-up.  This patch will go through only known freed
    objects, and will prevent "kmem -S" errors that indicate "invalid/corrupt
    freelist entry" on kernels configured with CONFIG_SLAB.

  * Fix for the initialization-time loading of kernel module symbols if the
    kernel crashed while running a module's initcall.  Without the patch, the
    crash session fails during initialation with a message similar to "crash:
    store_module_symbols_v2: total: 7 mcnt: 8".

  * Fix for a segmentation violation during session inialization when running
    against a 32-bit MIPS ELF kdump or compressed kdump if a per-cpu
    NT_PRSTATUS note cannot be gathered from the dumpfile header.  Without the
    the patch, a segmentation violation occurs after the message "WARNING:
    cannot find NT_PRSTATUS note for cpu: <number>" is displayed.

  * The 32-bit MIPS PGD_ORDER() macro expects __PGD_ORDER to be signed, which
    it isn't now since the internal machdep->pagesize is unsigned.  Without
    this patch, module loading fails during initialization on a kernel that
    has a page size of 16KB, with messages that indicate "please wait...
    (gathering module symbol data)" followed by "crash: invalid size request:
    0  type: pgd page".

  * For ARM64 dumpfiles with VMCOREINFO, verify the new "VA_BITS" number
    against the calculated number.

  * Fix for the ARM64 "bt" command in Linux 4.10 and later kernels that are
    configured with CONFIG_THREAD_INFO_IN_TASK.  Without the patch, the "bt"
    command will fail for active tasks in dumpfiles that were generated by the
    kdump facility.

  * Fix for Linux 4.10 commit 7fd8329ba502ef76dd91db561c7aed696b2c7720
    "taint/module: Clean up global and module taint flags handling".  Without
    the patch, when running against Linux 4.10-rc1 and later kernels, the
    crash utility fails during session initialization with the message "crash:
    invalid structure size: tnt".

  * Fix for support of /proc/kcore as the live memory source in Linux 4.8 and
    later x86_64 kernels configured with CONFIG_RANDOMIZE_BASE, which
    randomizes the unity-mapping PAGE_OFFSET value.  Without the patch, the
    crash session fails during session initialization with the error message
    "crash: seek error: kernel virtual address: <address> type:
    page_offset_base".

  * Update to the module taint flags handling patch above to account for the
    change in size of the module.taints flag from an int to a long, while
    allowing for a kernel backport that keeps it as an int.

  * Prepare for the kernel's "taint_flag.true" and "taint_flag.false" member
    names to be changed to "c_true" and "c_false", which fixes build problems
    when an out-of-tree module defines "true" or "false".

  * Prevent the livepatch taint flag check during the system banner display
    from generating a fatal session-killing error if relevant kernel symbol
    names or data structures change in the future (again).

  * Fix for the PPC64 "bt" command for non-panicking active tasks in
    FADUMP-generated dumpfiles (Firmware Assisted Dump facility).  Without the
    patch, backtraces of those tasks may be of the form "#0 [c0000000700b3a90]
    (null) at c0000000700b3b50  (unreliable)".  This patch uses and displays
    the ptregs register set saved in the dumpfile header for the non-panicking
    active tasks.

  * Fix for a possible segmentation violation when analyzing Linux 4.6 and
    earlier x86_64 kernels configured with CONFIG_RANDOMIZE_BASE.  A
    segmentation violation may occur during session initialization, just after
    the patching of the gdb minimal_symbol values message, depending upon the
    value of KERNEL_IMAGE_SIZE, which was variable in the earlier KASLR
    kernels.  This patch sets the KERNEL_IMAGE_SIZE default value to 1GB for
    those earlier kernels, and also adds a new "--machdep
    kernel_image_size=<value>" option that can be used to override the default
    KERNEL_IMAGE_SIZE value if necessary.

  * Fix the bracketing of the x86_64 FILL_PML4() macro.

  * Fix for the "tree -t radix", "irq", and "files -p" command options in
    Linux 4.6 and later kernels due to upstream changes in the radix tree
    facility.  Without the patch, the commands will fail with the message
    "radix trees do not exist or have changed their format".

  * Fix for the "trace.c" extension module.  The kernel buffer referenced by
    "max_tr_ring_buffer" is not available in all configurations of the kernel
    so the unitialized max_tr_ring_buffer variable should not be used.  A
    similar check existed previously before the recent rework of the trace
    extension module to support multiple buffers.

  * Clarification in the display of CONFIG_SLUB object addresses that are
    displayed by the "kmem" command when SLAB_RED_ZONE has been enabled.  By
    default, CONFIG_SLUB object addresses that are displayed by the "kmem"
    command will  point to the SLAB_RED_ZONE padding inserted at the beginning
    of the object.  As an alternative, a new "redzone" environment variable
    has been addedd that can be toggled on or off.  If "set redzone off" is

