=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export EXTDIR=/usr/lib/crash/extensions
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with quilt

override_dh_auto_build:
	dh_auto_build 
	$(MAKE) extensions

override_dh_auto_clean:
	cp $(CURDIR)/Makefile $(CURDIR)/debian/Makefile.ori
	dh_auto_clean

override_dh_clean:
	dh_clean
	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
	rm -Rf $(CURDIR)/configure
	rm -Rf $(CURDIR)/gdb-7.6
	rm -Rf $(CURDIR)/gdb.files
	rm -Rf $(CURDIR)/build_data.c
	rm -Rf $(CURDIR)/extensions/*.so

override_dh_auto_install:
	dh_auto_install
	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
	mkdir -p $(CURDIR)/debian/crash$(EXTDIR)
	cp -p extensions/*.so $(CURDIR)/debian/crash$(EXTDIR)

override_dh_auto_test:
	# Crash does not provide a testsuite
