=== debian/tests/control ===
Tests: live
Restrictions: needs-root
Depends: @, lsb-release, sudo
