=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: crash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Troy Heber <troyh@debian.org>
 Uploaders:
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev, liblzo2-dev, libsnappy-dev
 Standards-Version: 3.9.8.0
 XS-Testsuite: autopkgtest
 
 Package: crash
-Architecture: i386 ia64 alpha powerpc ppc64el amd64 arm64 armel armhf s390x
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
 Suggests: kexec-tools, makedumpfile
 Description: kernel debugging utility, allowing gdb like syntax
