=== debian/changelog ===
crash (7.2.1-1) unstable; urgency=medium

  * New upstream (closes: #890394)

  * Fix for the "runq" command on Linux 4.14 and later kernels that contain
    commit cd9e61ed1eebbcd5dfad59475d41ec58d9b64b6a, titled "rbtree: cache
    leftmost node internally".  Without the patch, the command fails with the
    error message "runq: invalid structure member offset: cfs_rq_rb_leftmost".

  * Fix to prevent a useless message during session inialization.  Without the
    patch, if the highest possible node bit in the node_states[N_ONLINE]
    multi-word bitmask is set, then a message such as "crash:
    next_online_node: 256 is too large!" will be displayed.

  * Additional fixes for the ARM64 "bt" command for Linux 4.14 kernels.  The
    patch corrects the contents of in-kernel exception frame register dumps,
    and properly transitions the backtrace from the IRQ stack to the process
    stack.

  * Implemented a new "search -T" option, which is identical to the "search
    -t" option, except that the search is restricted to the kernel stacks of
    active tasks.

  * Removal of the ARM64 "bt -o" option for Linux 4.14 and later kernels,
    along with several cleanups/readability improvements.

  * Fix for support of KASLR enabled kernels captured by the SADUMP dumpfile
    facility. SADUMP dumpfile headers do not contain phys_base or VMCOREINFO
    notes, so without this patch, the crash session fails during
    initialization with the message "crash: seek error: kernel virtual
    address: <address>  type: "page_offset_base".  This patch calculates the
    phys_base value and the KASLR offset using the IDTR and CR3 registers from
    the dumpfile header.

  * Implemented a new "ps -y policy" option to filter the task display by
    scheduling policy.  Applicable to both standalone ps invocation as well as
    via foreach.

  * Fix for the "kmem -[sS]" options on Linux 4.14 and later kernels that
    contain commit 2482ddec670fb83717d129012bc558777cb159f7, titled "mm: add
    SLUB free list pointer obfuscation".  Without the patch, there will
    numerous error messages of the type "kmem: <cache name> slab: <address>
    invalid freepointer: <obfuscated address>" if the kernel is configured
    with CONFIG_SLAB_FREELIST_HARDENED.

  * Fix for the validation of the bits located in the least significant bits of
    mem_section.section_mem_map pointers.  Without the patch, the validation
    functions always returned valid, due to a coding error found by clang.
    However, it was never really a problem because it is extremely unlikely
    that an existing mem_section would ever be invalid.

  * Fix for the x86_64 kernel virtual address to physical address translation
    mechanism.  Without the patch, when verifying that the PAGE_PRESENT bit is
    set in the top-level page table, it would always test positively, and the
    translation would continue parsing the remainder of the page tables.  This
    would virtually never be a problem in practice because if the top-level
    page table entry existed, its PAGE_PRESENT bit would be set.

  * Removed a check for a negative block_size value which is always a
    non-negative unsigned value in the SADUMP header parsing function.

  * Removed a check for an impossible negative value when calculating the
    beginning address when applying the context value specified by the "search
    -x <count>" option.

  * Implemented a new "timer -C <cpu-specifier>" option that restricts the
    timer or hrtimer output to the timer queue data associated with one or
    more cpus.  For multiple cpus, the cpu-specifier uses the standard comma
    or dash separated list format.

  * Fix for a "ps -l" regression introduced by the new "ps -y" option
    introduced above.  Without the patch, the -l option generates a
    segmentation violation if not accompanied by a -C cpu specifier option.

  * Fix for the "kmem -i" and "kmem -V" options in Linux 4.8 and later kernels
    containing commit 75ef7184053989118d3814c558a9af62e7376a58, titled "mm,
    vmstat: add infrastructure for per-node vmstats".  Without the patch, the
    CACHED line of "kmem -i" shows 0, and the VM_STAT section of "kmem -V" is
    missing entirely.

  * Fix for Linux 4.11 and later kernels that contain kernel commit
    4b3ef9daa4fc0bba742a79faecb17fdaaead083b, titled "mm/swap: split swap
    cache into 64MB trunks".  Without the patch, the CACHED line of "kmem -i"
    may show nonsensical data.

  * Implemented a new "dev -D" option that is the same as "dev -d", but
    filters out the display of disks that have no I/O in progress.

  * If a line number request for a module text address initially fails, force
    the embedded gdb module to complete its two-stage strategy used for
    reading debuginfo symbol tables from module object files, and then retry
    the line number extraction.  This automatically does what the "mod -r" or
    "crash --readnow" options accomplish.

  * Update for support of Linux 4.12 and later PPC64 kernels where the hash
    page table geometry accommodates a larger virtual address range.  Without
    the patch, the virtual-to-physical translation of user space virtual
    addresses by "vm -p", "vtop", and "rd -u" may generate an invalid
    translation or otherwise fail.

  * Implemented a new "runq -T" option that displays the time lag of each CPU
    relative to the most recent runqueue timestamp.

  * Fix to support Linux 4.15 and later kernels that contain kernel commit
    e8cfbc245e24887e3c30235f71e9e9405e0cfc39, titled "pid: remove pidhash".
    The kernel's traditional usage of a pid_hash[] array to store PIDs has
    been replaced by an IDR radix tree, requiring a new crash plug-in function
    to gather the system's task set.  Without the patch, the crash session
    fails during initialization with the error message "crash: cannot resolve
    init_task_union".

  * Fix for the "net" command when the network device listing has an unusually

