=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,12 @@
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
 %:
 	dh $@ --with quilt
 
 override_dh_auto_build:
 	dh_auto_build 
-	$(MAKE) extensions
+	$(MAKE) extensions lzo snappy
 
 override_dh_auto_clean:
 	cp $(CURDIR)/Makefile $(CURDIR)/debian/Makefile.ori
